> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync account

> Sync account data.



## OpenAPI

````yaml /openapi/google-news-api-2024-01-01.json post /account/sync
openapi: 3.0.3
info:
  title: Google News API
  version: '2024-01-01'
  description: >-
    API for fetching news from Google News with clustering, topics, and
    frontpage support. This is version `2024-01-01` which uses a camelCase
    response envelope with `success`, `totalHits`, `size`, `pageSize`, `page`,
    `totalPages`, and `articles` fields.
servers:
  - url: https://api.bonai.io/google-news
    description: Production
security: []
paths:
  /account/sync:
    post:
      summary: Sync account
      description: Sync account data.
      operationId: syncAccount
      parameters:
        - $ref: '#/components/parameters/ApiVersionHeader'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
        '400':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LegacyErrorResponse'
        '401':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LegacyErrorResponse'
      security:
        - bearerAuth: []
components:
  parameters:
    ApiVersionHeader:
      name: api-version
      in: header
      required: false
      schema:
        type: string
        enum:
          - '2026-05-25'
          - '2024-01-01'
          - '2022-01-01'
      description: API version to consume. Defaults to the latest version (2026-05-25).
  schemas:
    LegacyErrorResponse:
      type: object
      required:
        - success
        - code
        - message
      properties:
        success:
          type: boolean
          example: false
        code:
          type: number
          description: HTTP status code
        message:
          type: string
        fields:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              type:
                type: string
              description:
                type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your Bonai API key, sent as `Authorization: Bearer <key>`. The `api-key`
        and `x-api-key` headers are also accepted.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.